/* eslint-disable no-undef */
import {extendInclude, extendRule, initFilter} from "../../utils/common";

/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable}) => {


  },
  onBeforeEdit:({isNew,dispatch,login,getFieldValue,setFieldValueByBatch,setFieldEditable})=>{

            const temps=[];
            temps.push({field:'Keyword',value:getFieldValue("CODE")});
            temps.push({field:'Parameter1',value:getFieldValue("QTY")});
            temps.push({field:'Parameter2',value:getFieldValue("BAD_QTY")});
            temps.push({field:'Parameter3',value:login.userId});
            temps.push({field:'OrgId',value:getFieldValue("ORG_ID")});
            setFieldValueByBatch(temps);
  },
  onBeforeSave:({data,getFieldValue,setFieldValue,stateData})=>{
  },
  onAfterAddSubRow:({record,stateData})=>{
  },
}
